var child_menu_enter = false;

$(document).ready(function(){

	$('.main-menu ul li').mouseenter(function(){

		$('.child-menu.step-1', this).show();
	});
	$('.main-menu ul li').mouseleave(function(){

		if(child_menu_enter == false)
			$('.child-menu').hide();
	});
	//step-1
	$('.child-menu.step-1').mouseenter(function(){

		$(this).show();
		child_menu_enter = true;
	});
	$('.child-menu.step-1').mouseleave(function(){

		$(this).show();
		child_menu_enter = false;
	});
	//step-2
	$('.child-menu.step-1 li').mouseenter(function(){

		$('.child-menu.step-2', this).show();
	});
	$('.child-menu.step-1 li').mouseleave(function(){

		$('.child-menu.step-2', this).hide();
	});
	$('.no-click').live('click', function(){

		var bg = $(this).parent('li').css('background-color');
		$(this).parent('li').css({'background' : '#ffb7b7'});
		$(this).parent('li').animate({'backgroundColor' : bg}, 1000, function(){

			$(this).removeAttr('style');
		});
		return false;
	});
});